## mplayer-libpostproc 1.0-pre1.1

=== postproc/Makefile ===

include ../config.mak

ifeq ($(SHARED_PP),yes)
SPPLIB = libpostproc.so
SPPVERSION = 0.0.1
endif
PPLIB = libpostproc.a

PPOBJS=postprocess.o
SPPOBJS=postprocess_pic.o

CFLAGS  = $(OPTFLAGS) $(MLIB_INC) -I. -I.. $(EXTRA_INC)
# -I/usr/X11R6/include/

.SUFFIXES: .c .o

# .PHONY: all clean

.c.o:
	$(CC) -c $(CFLAGS) -I.. -I../.. -o $@ $<

all:    $(SWSLIB) $(PPLIB) $(SPPLIB)

clean:
	rm -f *.o *.a *~ *.so

distclean:
	rm -f Makefile.bak *.o *.a *~ *.so .depend

dep:    depend

depend:
	$(CC) -MM $(CFLAGS) postprocess.c 1>.depend

ifeq ($(SHARED_PP),yes)
postprocess_pic.o: postprocess.c
	$(CC) -c $(CFLAGS) -fomit-frame-pointer -fPIC -DPIC -I.. -I../.. -o $@ $<

$(SPPLIB): $(SPPOBJS)
	$(CC) -shared -Wl,-soname,$(SPPLIB).0 \
	-o $(SPPLIB) $(SPPOBJS)
endif

$(PPLIB): $(PPOBJS)
	rm -f $@
	$(AR) rc $@ $(PPOBJS)
	$(RANLIB) $@

install: all
ifeq ($(SHARED_PP),yes)
	install -d $(prefix)/lib
	install -s -m 755 $(SPPLIB) $(prefix)/lib/$(SPPLIB).$(SPPVERSION)
	ln -sf $(SPPLIB).$(SPPVERSION) $(prefix)/lib/$(SPPLIB)
	ldconfig || true
	mkdir -p $(prefix)/include/postproc
	install -m 644 postprocess.h $(prefix)/include/postproc/postprocess.h
endif


#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
mplayer-libpostproc (1:1.0-pre1.1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue,  9 Sep 2003 15:17:55 +0200

mplayer-libpostproc (0.90rc4-0.0) unstable; urgency=low

  * New 0.9 pre release.

 -- Christian Marillat <marillat@debian.org>  Mon, 10 Feb 2003 17:15:41 +0100

mplayer-libpostproc (0.90rc1-0.4) unstable; urgency=low

  * Update the shlibs, because this version has been compiled with gcc 3.2

 -- Christian Marillat <marillat@debian.org>  Wed, 15 Jan 2003 01:22:14 +0100

mplayer-libpostproc (0.90rc1-0.3) unstable; urgency=low

  * Build with --enable-runtime-cpudetection

 -- Christian Marillat <marillat@debian.org>  Tue, 14 Jan 2003 15:27:25 +0100

mplayer-libpostproc (0.90rc1-0.2) unstable; urgency=low

  * Add the mplayer configure script to generate the right architecture if
    this package isn't build under i386

 -- Christian Marillat <marillat@debian.org>  Mon, 13 Jan 2003 15:47:39 +0100

mplayer-libpostproc (0.90rc1-0.1) unstable; urgency=low

  * Ooops was comipled for k6.

 -- Christian Marillat <marillat@debian.org>  Fri, 27 Dec 2002 13:02:00 +0100

mplayer-libpostproc (0.90rc1-0.0) unstable; urgency=low

  * New pre 0.90 release.

 -- Christian Marillat <marillat@debian.org>  Sun,  8 Dec 2002 11:24:36 +0100

mplayer-libpostproc (0.90pre10-0.0) unstable; urgency=low

  * New pre 0.90 release.

 -- Christian Marillat <marillat@debian.org>  Mon, 11 Nov 2002 16:05:37 +0100

mplayer-libpostproc (0.90pre9-0.0) unstable; urgency=low

  * New pre 0.90 release.

 -- Christian Marillat <marillat@debian.org>  Sat, 26 Oct 2002 17:03:46 +0200

mplayer-libpostproc (0.90pre8-0.0) unstable; urgency=low

  * Update the Debian version number.

 -- Christian Marillat <marillat@debian.org>  Fri, 20 Sep 2002 17:39:48 +0200

mplayer-libpostproc (0.90pre8) unstable; urgency=low

  * New pre 0.90 release.

 -- Christian Marillat <marillat@debian.org>  Fri, 20 Sep 2002 17:18:06 +0200

mplayer-libpostproc (0.90pre7-0.0) unstable; urgency=low

  * New pre 0.90 release.

 -- Christian Marillat <marillat@debian.org>  Thu,  5 Sep 2002 17:59:03 +0200

mplayer-libpostproc (0.90pre6-0.0) unstable; urgency=low

  * Initial Release.

 -- Christian Marillat <marillat@debian.org>  Mon, 19 Aug 2002 15:26:59 +0200

=== debian/control ===
Source: mplayer-libpostproc
Section: misc
Priority: optional
Maintainer: Christian Marillat <marillat@debian.org>
Standards-Version: 3.6.1
Build-Depends: debhelper (>> 3.4.4)

Package: libpostproc0
Architecture: any
Depends: ${shlibs:Depends}
Description: Mplayer postproc shared libraries
 This package contains the MPlayer postproc shared library.

Package: libpostproc-dev
Architecture: any
Depends: libpostproc0 (= ${Source-Version})
Description: Mplayer postproc devel files
 This package contains the MPlayer postproc shared library.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

version := $(shell sed -n 's/Package: \(.*\)/\1/p' debian/control | head -n 1)

configure: configure-stamp
configure-stamp:
	dh_testdir

	./configure --prefix=/usr --enable-shared-pp \
	--enable-runtime-cpudetection

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	$(MAKE) -C postproc

	touch build-stamp
clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	$(MAKE) distclean -C postproc

	dh_clean configure.log help_mp.h config.h

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/share/bug/${version}
	dh_installdirs -plibpostproc-dev usr/share/bug/libpostproc-dev

	$(MAKE) -C postproc install prefix=$(CURDIR)/debian/${version}/usr

	cp postproc/libpostproc.a debian/${version}/usr/lib
	cp debian/bts debian/${version}/usr/share/bug/${version}/control
	cp debian/bts debian/libpostproc-dev/usr/share/bug/libpostproc-dev/control

	dh_movefiles --sourcedir=debian/${version}

# Prune empty directories
	find debian -type d | xargs rmdir -p --ignore-fail-on-non-empty

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_link -plibpostproc0 usr/lib/libpostproc.so.0.0.1 usr/lib/libpostproc.so.0
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_makeshlibs -V 'libpostproc0 (>= 0.90rc4)'
	dh_shlibdeps 
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
